### Class

# WebKit WebResource

#### Description [src]

    final class WebKit.WebResource : GObject.Object {
      /* No available fields */
    }

Represents a resource at the end of a URI.

A `WebKitWebResource` encapsulates content for each resource at the end of a particular URI. For example, one `WebKitWebResource` will be created for each separate image and stylesheet when a page is loaded.

You can access the response and the URI for a given `WebKitWebResource`, using `webkit_web_resource_get_uri()` and webkit_web_resource_get_response(), as well as the raw data, using webkit_web_resource_get_data().

#### Ancestors

- GObject

#### Instance methods

###### webkit_web_resource_get_data

Asynchronously get the raw data for `resource`.

###### webkit_web_resource_get_data_finish

Finish an asynchronous operation started with webkit_web_resource_get_data().

###### webkit_web_resource_get_response

Retrieves the `WebKitURIResponse` of the resource load operation.

###### webkit_web_resource_get_uri

Returns the current active URI of `resource`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit.WebResource:response

The `WebKitURIResponse` associated with this resource.

###### WebKit.WebResource:uri

The current active URI of the `WebKitWebResource`. See `webkit_web_resource_get_uri()` for more details.

#### Signals

###### WebKit.WebResource::failed

This signal is emitted when an error occurs during the resource load operation.

###### WebKit.WebResource::failed-with-tls-errors

This signal is emitted when a TLS error occurs during the resource load operation.

since: 2.8

###### WebKit.WebResource::finished

This signal is emitted when the resource load finishes successfully or due to an error. In case of errors `WebKitWebResource::failed` signal is emitted before this one.

###### WebKit.WebResource::sent-request

This signal is emitted when `request` has been sent to the server. In case of a server redirection this signal is emitted again with the `request` argument containing the new request sent to the server due to the redirection and the `redirected_response` parameter containing the response received by the server for the initial request.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKitWebResourceClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.